API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /support/v1/plesk-servers

POST/support/v1/plesk-servers

Create a new Plesk server

Request Body

NameTypBeschreibung
nameerforderlichstring
urlerforderlichstring<uri>
apiKeyerforderlichstring
regionerforderlichstring
typeerforderlichstring
ownerTenantIdstring
capacityLimitsobject
ipAddressesstring[]
sshEnabledboolean
notesstring

Beispiel

curl -X POST https://api.codemeta-os.de/support/v1/plesk-servers \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "name": "string",
  "url": "string",
  "apiKey": "string",
  "region": "string",
  "type": "codemeta",
  "ownerTenantId": "string",
  "capacityLimits": null,
  "ipAddresses": [],
  "sshEnabled": false,
  "notes": "string"
}'
const result = await cm.plesk-servers.post({
  "name": "string",
  "url": "string",
  "apiKey": "string",
  "region": "string",
  "type": "codemeta",
  "ownerTenantId": "string",
  "capacityLimits": null,
  "ipAddresses": [],
  "sshEnabled": false,
  "notes": "string"
});

Antwortcodes

HTTP Bedeutung
201 Default Response

Suche